Bug 180910 - Reorganize eclipse website
Reorganize eclipse website
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Foox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-10 10:27 EST by Igor Foox
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 20:39:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Foox 2006-02-10 10:27:46 EST
The website at www.sourceware.org/eclipse is really out of date. We need to
reorganize it a bit and update the info there because otherwise people wouldn't
even know what's going on. That page comes up as the first google result for
"fedora eclipse" and second for "red hat eclipse" so it's pretty high visibility
and we need to beef it up.

I'll come up with a slightly reorganized structure for the website and post it
here. In an unrelated note it'd also be nice to make it look better but that's
lower priority and I don't really have the CSS design foo for that :)
Comment 1 Andrew Overholt 2006-02-10 11:08:19 EST
CCing John and Diana

I'm sure Diana's super busy, but we should look into requesting some of her time
to help with this.
Comment 2 Igor Foox 2006-02-10 11:24:29 EST
It would be great if Diana could help us out a bit with the visual aspect of it.
But regardless putting useful information on the website and rearranging it in a
useful way would be /good thing/. :)

I'd like to be done with the rearranging before FC5 and be at least somewhat
done before test3 actually goes out.
Comment 3 Andrew Overholt 2006-02-10 11:25:43 EST
(In reply to comment #2)
> But regardless putting useful information on the website and rearranging it in a
> useful way would be /good thing/. :)

Amen, brother!

> I'd like to be done with the rearranging before FC5 and be at least somewhat
> done before test3 actually goes out.

Great.
Comment 4 Igor Foox 2006-02-11 17:06:23 EST
I've magically transformed the Fedora Eclipse website!! Behold!

OK, so I've broken it up into sections on various things, I've also transitioned
it to (pretty) clean xhtml/css so that applying a design later should be easy.
With my l33t css skills I made it look about the same as it did before! Jeff, I
hope you're proud :).

It obviously needs some content, such as info about our CDT, autotools work, and
other stuff. You can take a look at the perliminary site at
http://www.igorfoox.com/eclipse . Let me know what you think about the overall
organization, or lack thereof. 

Jeff, we also need to move the update site to sources.redhat.com. You said you
did that, but I don't know if you actually moved it and if so where it is. :)
I'd also like to move the update-site for the ChangeLog plugin to
sources.redhat.com just so it's all in one place, I'll bug Phil about this.
Comment 5 Jeff Pound 2006-02-13 11:35:15 EST
>Jeff, we also need to move the update site to sources.redhat.com.

This is pending a resolution to bug 179182 (I can't currently build the feature
for the update site)
Comment 6 Igor Foox 2006-02-14 11:30:57 EST
Adding Jeff J to CC list, he said he would do a small write up on the Autotools
work he's been doing.
Comment 7 Igor Foox 2006-02-14 23:56:19 EST
I've added the blurb by Jeff about the Autotools project, as well as some
screenshots he sent me. Also added some goals for the bugzilla plugin. Added the
release information of eclipse-bugzila 0.2.2, as well as a (n empty) page for
the CDT. I've put this newer version online at the same place.

I'll do some clean up tomorrow to remove the TODOs from the site, and make the
descriptions a bit more readable, and then I think we can upload this as soon as
we migrate the eclipse-bugzilla update site to sources.redhat.com.
Comment 8 Igor Foox 2006-03-02 15:26:48 EST
I've updated the website up on http://sourceware.org/eclipse. This now sports
the new look designed by Diana, and the new information that I wrote. I also
moved the update site for the ChangeLog plugin to
sourceware.org/eclipse/changelog/updates. I still need to move the update site
for the bugzilla plugin. 
Comment 9 Jeff Pound 2006-03-06 11:47:11 EST
>sourceware.org/eclipse/changelog/updates

We should have a single update site for all of our packages. That way users can
just add one update site to the manager and see all the available offerings.
Comment 10 Ben Konrath 2006-09-05 18:19:55 EDT
Igor, can we close this bug now?
Comment 11 Igor Foox 2006-09-05 20:39:41 EDT
Most definitely. Closing.

Note You need to log in before you can comment on or make changes to this bug.